update-desktop-file-unity-webapps-googleplus.py crashed with AttributeError in __getattr__(): When using gi.repository you must not import static modules like "gobject". Please change all occurrences of "import gobject" to "from gi.repository import GObject". See: https://bugzilla.gnome.org/show_bug.cgi?id=709183

Bug #1361829 reported by Max Brustkern on 2014-08-26
38
This bug affects 8 people
Affects Status Importance Assigned to Milestone
unity-webapps-googleplus (Ubuntu)
Low
Justin McPherson

Bug Description

Got this when I started an xubuntu session on utopic.

ProblemType: Crash
DistroRelease: Ubuntu 14.10
Package: unity-webapps-googleplus 2.4.17+14.10.20140623-0ubuntu1
ProcVersionSignature: Ubuntu 3.16.0-10.15-generic 3.16.1
Uname: Linux 3.16.0-10-generic x86_64
ApportVersion: 2.14.6-0ubuntu2
Architecture: amd64
Date: Tue Aug 26 15:19:39 2014
ExecutablePath: /usr/share/session-migration/scripts/update-desktop-file-unity-webapps-googleplus.py
InstallationDate: Installed on 2013-05-31 (452 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130424)
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/share/session-migration/scripts/update-desktop-file-unity-webapps-googleplus.py
ProcEnviron:
 PATH=(custom, no user)
 LANGUAGE=en_US
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
PythonArgs: ['/usr/share/session-migration/scripts/update-desktop-file-unity-webapps-googleplus.py']
SourcePackage: unity-webapps-googleplus
SystemImageInfo: Error: [Errno 2] No such file or directory: 'system-image-cli'
Title: update-desktop-file-unity-webapps-googleplus.py crashed with AttributeError in __getattr__(): When using gi.repository you must not import static modules like "gobject". Please change all occurrences of "import gobject" to "from gi.repository import GObject". See: https://bugzilla.gnome.org/show_bug.cgi?id=709183
UpgradeStatus: Upgraded to utopic on 2014-02-18 (189 days ago)
UserGroups: adm autopilot bluetooth cdrom dip libvirtd lpadmin plugdev sambashare scanner sudo

Max Brustkern (nuclearbob) wrote :
tags: removed: need-duplicate-check
Changed in unity-webapps-googleplus (Ubuntu):
importance: Undecided → Medium
information type: Private → Public
David Barth (dbarth) on 2014-10-28
Changed in unity-webapps-googleplus (Ubuntu):
assignee: nobody → Alexandre Abreu (abreu-alexandre)
assignee: Alexandre Abreu (abreu-alexandre) → nobody
assignee: nobody → Justin McPherson (justinmcp)
status: New → Triaged
importance: Medium → Low
miked (miked11) wrote :

root@ubuntu-14101504a2:~# lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu Vivid Vervet (development branch)
Release: 15.04
Codename: vivid
root@ubuntu-14101504a2:~# uname -mrs
Linux 3.19.0-10-generic x86_64
root@ubuntu-14101504a2:~#

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers